# Render order template

## GET /public/v1/commerce/orders/{id}/template

> Renders an order template.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5164-g77db55e8"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/commerce/orders/{id}/template":{"get":{"tags":["Orders"],"summary":"Renders an order template.","parameters":[{"name":"id","in":"path","description":"Order id","required":true,"schema":{"type":"string"}},{"name":"language","in":"query","description":"Template language code","schema":{"type":"string"}},{"name":"Accept-Language","in":"header","description":"Preferred language header","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
